<div class="my-auto col-md-12 col-md-offset-3" *ngIf="loadingPage">
  <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
    <form class="example-form" [formGroup]="formGroup" (ngSubmit)="onFormSubmit(formGroup.value)" ngNativeValidate>
      <select class='form-control' formControlName="shop">
        <option *ngFor="let shop of listShops" value='{{shop?.shopId}}'>{{shop?.shopName}}</option>
      </select>
      <button class='form-control btn btn-primary' type='submit' (click)="onFormSubmit(formGroup.value)" [disabled]='!formGroup.valid'>Choisir
        ce magasin</button>
    </form>
  </div>
</div>

<div class="my-auto col-md-12 col-md-offset-3" *ngIf="loadingEquipments">
  <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
    <form class="example-form" [formGroup]="equipmentsForm" (ngSubmit)="selectEquipment(equipmentsForm.value)"
      ngNativeValidate>
      <select class='form-control' formControlName="equipment">
        <option *ngFor="let equipment of listEquipments" value='{{equipment?.equipmentId}}'>{{equipment?.equipmentName}}</option>
      </select>
      <button class='form-control btn btn-primary' type='submit' (click)="selectEquipment(equipmentsForm.value)"
        [disabled]='!equipmentsForm.valid'>Choisir cet équipement</button>
    </form>
  </div>
</div>

<div class="my-auto col-md-12 col-md-offset-3" *ngIf="loadingPrices">
  <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
    <form class="example-form" [formGroup]="pricesForm" (ngSubmit)="changePrices(pricesForm.value)" ngNativeValidate>
      <div class="form-group row">
        <label class="col-6 col-form-label">
          Prix location :
        </label>
        <div class="col-3">
          <input type="number" class="form-control" id="1" formControlName="price" [ngModel]="price">
        </div>
        <div class="col-3">
          €
        </div>
      </div>
      <button class='form-control btn btn-primary' type='submit' (click)="changePrices(pricesForm.value)" [disabled]='!pricesForm.valid'>Modifier
        prix</button>
    </form>
  </div>
</div>
